//-------------------------------------------------------------------------------------------------
PRIVATE VOID ShowPerformance( HANDLE hProcess ) {
//-------------------------------------------------------------------------------------------------

    HANDLE hDll = NULL;
    QIP    qip  = NULL;
    KERNEL_USER_TIMES kut;
    IO_COUNTERS       ioc;
    VM_COUNTERS       vmc;
    ULONGLONG now;

    if (( hDll = LoadLibrary( L"ntdll.dll" )) == NULL ) {
        ; // skip
    } else if (( qip = (QIP)GetProcAddress( hDll, "NtQueryInformationProcess" )) == NULL ) {
        ; // skip
    } else {
        if ( qip( hProcess
                , ProcessTimes
                , &kut
                , sizeof( kut )
                , NULL ) < 0 ) {
            ZeroMemory( &kut, sizeof( kut ));
        } /* endif */
        if ( qip( hProcess
                , ProcessIoCounters
                , &ioc
                , sizeof( ioc )
                , NULL ) < 0 ) {
            ZeroMemory( &ioc, sizeof( ioc ));
        } /* endif */
        if ( qip( hProcess
                , ProcessVmCounters
                , &vmc
                , sizeof( vmc )
                , NULL ) < 0 ) {
            ZeroMemory( &vmc, sizeof( vmc ));
        } /* endif */

        GetSystemTimeAsFileTime( (LPFILETIME)&now ); 

        Message( MSGID_INFORMATION_OS_STATISTIC
               , (ULONG)( max( ( now - kut.CreateTime ), ( kut.KernelTime + kut.UserTime )) / 10000 )
               , (ULONG)( kut.KernelTime / 10000 )
               , (ULONG)( kut.UserTime / 10000 )
               , (ULONG)( ioc.ReadOperationCount )
               , (ULONG)( ioc.WriteOperationCount )
               , (ULONG)( ioc.OtherOperationCount )
               , (ULONG)( ioc.ReadTransferCount  / 1024 )
               , (ULONG)( ioc.WriteTransferCount / 1024 )
               , (ULONG)( ioc.OtherTransferCount / 1024 )
               , vmc.PeakVirtualSize / 1024
               , vmc.PeakPagefileUsage / 1024
               , vmc.PeakWorkingSetSize / 1024
               , vmc.QuotaPeakPagedPoolUsage / 1024
               , vmc.QuotaPeakNonPagedPoolUsage / 1024
               , vmc.PageFaultCount );
    } /* endif */

    if ( hDll != NULL ) FreeLibrary( hDll );

}
